VERILATOR_GANTT(1)

NAME
verilator_gantt - manual page for verilator_gantt -

DESCRIPTION
usage: verilator_gantt [-h] [--debug] [--no-vcd] [--vcd VCD] filename

Create Gantt chart of multi-threaded execution.

Verilator_gantt creates a visual representation to help analyze Verilator #xmultithreaded simulation performance, by showing when each macro-task #xstarts and ends, and showing when each thread is busy or idle.

For documentation see https://verilator.org/guide/latest/exe_verilator_gantt.html

  positional arguments:

filename
    input profile_exec.dat filename to process

  options:

-h, --help
    show this help message and exit

--debug
    enable debug

--no-vcd
    disable creating vcd

--vcd VCD
    filename for vcd outpue

COPYRIGHT
Copyright 2018-2023 by Wilson Snyder. This program is free software; you can redistribute it and/or modify it under the terms of either the GNU Lesser General Public License Version 3 or the Perl Artistic License Version 2.0.

SPDX-License-Identifier: LGPL-3.0-only OR Artistic-2.0